Bug 7116 - (int-151426) /etc/pmconfig states minimum CPU frequency of 125MHz contrary to output of scaling_available_frequencies
(int-151426)
: /etc/pmconfig states minimum CPU frequency of 125MHz contrary to output of sc...
Status: RESOLVED WONTFIX
Product: Core
general
: 5.0/(1.2009.42-11)
: N900 Maemo
: Low normal with 10 votes (vote)
: ---
Assigned To: unassigned
: core-general-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-12-18 19:07 UTC by Adam
Modified: 2010-04-26 11:03 UTC (History)
5 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Adam (reporter) 2009-12-18 19:07:31 UTC
SOFTWARE VERSION:
(Settings > General > About product)

EXACT STEPS LEADING TO PROBLEM: 
(Explain in detail what you do (e.g. tap on OK) and what you see (e.g. message
Connection Failed appears))
1. cat /home/user # cat
/sys/devices/system/cpu/cpu0/cpufreq/scaling_available_frequencies

2. 
3. 

EXPECTED OUTCOME:
600000 550000 500000 250000 125000

ACTUAL OUTCOME:
600000 550000 500000 250000

REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:
/home/user # cat /etc/pmconfig
# Power management configuration file
...
****scaling_min_freq 125000****
...



User-Agent:       Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6; en-US;
rv:1.9.1.6) Gecko/20091201 Firefox/3.5.6
Comment 1 Adam (reporter) 2009-12-18 20:24:21 UTC
It should be: EXACT STEPS LEADING TO PROBLEM: 

1. # cat /sys/devices/system/cpu/cpu0/cpufreq/scaling_available_frequencies
Comment 2 Andre Klapper maemo.org 2009-12-18 20:32:46 UTC
Thanks for reporting this. Confirming.
For future reference, please don't set Priority to high. Thanks :)
Comment 3 Adam (reporter) 2010-04-06 19:41:02 UTC
Is there some really good reason why 125MHz mode is not enabled other than
hardcoded values in the kernel?
Comment 4 Eero Tamminen nokia 2010-04-26 11:03:59 UTC
There was no measurable improvement from using that.  In some cases it even
made battery life worse as switching between states takes time also.
-> WONTFIX

I think some community people have been experimenting with this too.